#ifndef BPARTICLE_H
#define BPARTICLE_H

#include "ofMain.h"
#define OF_ADDON_USING_OFXVECTORMATH
#include "ofAddons.h"

class bparticle
{
    public:
        ofxVec3f pos;
        ofxVec3f vel;
        ofxVec3f frc;   // frc is also know as acceleration (newton says "f=ma")

        bparticle();
		virtual ~bparticle(){};

        void resetForce();
        void addForce(float x, float y, float z);
        void addDampingForce();
        void setInitialCondition(float px, float py, float vx, float vy);
		void setInitialCondition(float px, float py, float pz, float vx, float vy, float vz);
        void update();
        void draw();

		float damping;

    protected:
    private:
};

#endif // PARTICLE_H
